package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.BGYPSQ;
import com.sa.ibiz.demo.demo.service.dto.BGYPSQSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[BGYPSQ] 服务对象接口
 */
public interface BGYPSQService extends IService<BGYPSQ>{

	boolean update(BGYPSQ et);
	boolean remove(BGYPSQ et);
		BGYPSQ get(BGYPSQ et);
	boolean checkKey(BGYPSQ et);
	boolean getDraft(BGYPSQ et);
	boolean create(BGYPSQ et);
    List<BGYPSQ> listDefault(BGYPSQSearchFilter filter) ;
	Page<BGYPSQ> searchDefault(BGYPSQSearchFilter filter);
	/**	 实体[BGYPSQ] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }